'use strict';

var _enzymeMatchers = require('enzyme-matchers');

var _enzymeMatchers2 = _interopRequireDefault(_enzymeMatchers);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; } /**
                                                                                                                                                                                                                   * This source code is licensed under the MIT-style license found in the
                                                                                                                                                                                                                   * LICENSE file in the root directory of this source tree. *
                                                                                                                                                                                                                   *
                                                                                                                                                                                                                   * @providesModule setupTestFrameworkScriptFile
                                                                                                                                                                                                                   * 
                                                                                                                                                                                                                   */

// add methods!
beforeEach(function jasmineEnzyme() {
  var matchers = Object.keys(_enzymeMatchers2.default);

  matchers.forEach(function (matcher) {
    addMatcher(_defineProperty({}, matcher, function () {
      return { compare: _enzymeMatchers2.default[matcher] };
    }));
  });
});

function addMatcher(matcher) {
  var matcherName = Object.keys(matcher)[0];

  /*
   * only throw one error so the console doesn't
   * become redunant errors
   */
  if (jasmine.matchers[matcherName] && !errorThrown) {
    errorThrown = true;
    throw new Error('JestEnzyme: Added matcher "' + matcherName + '" is over-riding\n       core matcher. You must rename the function to not destroy core.');
  }

  // will transition to jest when https://github.com/facebook/jest/issues/1835
  // is merged
  jasmine.addMatchers(matcher);
}